R_GETHOSTBYADDR(3)

EXPERIMENTAL_FUNC
r_gethostbyaddr - Get hostname from Internet Address.

SYNOPSIS
#include <karma_r.h>

flag r_gethostbyaddr

(char *name, unsigned int length, unsigned long addr)

DESCRIPTION
Get hostname from Internet Address.

name
    The hostname is written here.

length
    The length of the hostname buffer.

addr
    The Internet Address. If this is 0 the local hostname is given.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/